Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin.gui.jrxmlvalidator
Class ElementValidationItem

    java.lang.Object
      com.jaspersoft.jasperserver.irplugin.gui.jrxmlvalidator.ElementValidationItem

Direct Known Subclasses:
  ImageElementValidationItem, SubReportElementValidationItem

    public class ElementValidationItem

extends java.lang.Object

Author:
  gtoffoli

Constructor Summary
`ElementValidationItem()`

Method Summary
`java.io.File` | `getOriginalFileName()`
`java.lang.String` | `getParentFolder()`
`java.lang.String` | `getProposedExpression()`
`it.businesslogic.ireport.ReportElement` | `getReportElement()`
`java.lang.String` | `getResourceName()`
`void` | `setOriginalFileName(java.io.File originalFileName)`
`void` | `setParentFolder(java.lang.String parentFolder)`
`void` | `setProposedExpression(java.lang.String proposedExpression)`
`void` | `setReportElement(it.businesslogic.ireport.ReportElement reportElement)`
`void` | `setResourceName(java.lang.String resourceName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementValidationItem

    public ElementValidationItem()

Method Detail

### getReportElement

    public it.businesslogic.ireport.ReportElement getReportElement()

### setReportElement

    public void setReportElement(it.businesslogic.ireport.ReportElement reportElement)

### getOriginalFileName

    public java.io.File getOriginalFileName()

### setOriginalFileName

    public void setOriginalFileName(java.io.File originalFileName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getProposedExpression

    public java.lang.String getProposedExpression()

### setProposedExpression

    public void setProposedExpression(java.lang.String proposedExpression)

### getResourceName

    public java.lang.String getResourceName()

### setResourceName

    public void setResourceName(java.lang.String resourceName)

### getParentFolder

    public java.lang.String getParentFolder()

### setParentFolder

    public void setParentFolder(java.lang.String parentFolder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.